コンテンツへスキップ

Wan-2.1 Text-to-Video with LoRAs

統合

モデルID wan-t2v-lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-t2v-lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.75 750 APIクレジット このページで実行

APIキーを取得
Alibaba テキストから動画 720pまで #"text-to-video"#"motion"#"lora"

カスタムLoRA重みを受け付けるWan 2.1テキストから動画生成。Turboモードと任意の逆再生に対応

Doitongで作成

DoitongコミュニティがWan-2.1 Text-to-Video with LoRAsで作成した公開作品です。ワンクリックでプロンプトを再利用できます。

公開作品:2件
Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... 動画

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кух... 動画

Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кухне, мужчина — в комнате и прихожей. Атмосфера обычной советской семьи перед приходом гостей. Голоса: все персонажи говорят по-русски с естественным, выразительным одесским говором. Характерная...

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

動画生成を導くテキスト指示。

resolution デフォルト 480p

出力動画の解像度。480p、580p、720p。

aspect_ratio デフォルト 16:9

出力動画のアスペクト比。16:9 または 9:16。

詳細設定 negative_prompt · num_frames · frames_per_second · num_inference_steps · seed · enable_safety_checker · enable_prompt_expansion · turbo_mode · reverse_video · loras
デフォルト bright colors, overex...

動画生成時に適用するネガティブプロンプト。

デフォルト 81

生成するフレーム数。81~100(両端を含む)。

デフォルト 16

生成動画のフレームレート(FPS)。5~24。

デフォルト 30

サンプリングステップ数。増やすほど処理時間が長くなる代わりに品質が向上します。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

デフォルト []

推論時に適用するLoRAの重み。

POST /run/wan-t2v-lora?wait=20 見積もり → $0.75
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-t2v-lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Wan-2.1 Text-to-Video with LoRAsについて

テキスト`prompt`から動画を生成し、`loras`に列挙したカスタムLoRAを適用します。解像度は480p、580p、720p、アスペクト比は16:9または9:16です。`num_frames`は81-100、`frames_per_second`は5-24です。`turbo_mode`はデフォルトで有効で、`reverse_video`は結果を逆再生します。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
動画生成を導くテキスト指示。
negative_prompt任意
型string
デフォルトbright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards
動画生成時に適用するネガティブプロンプト。
num_frames任意
型integer | null
デフォルト81
81 – 100
生成するフレーム数。81~100(両端を含む)。
frames_per_second任意
型integer | null
デフォルト16
5 – 24
生成動画のフレームレート(FPS)。5~24。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
resolution任意
型enum
デフォルト480p
480p580p720p
出力動画の解像度。480p、580p、720p。
aspect_ratio任意
型enum
デフォルト16:9
9:1616:9
出力動画のアスペクト比。16:9 または 9:16。
num_inference_steps任意
型integer
デフォルト30
2 – 40
サンプリングステップ数。増やすほど処理時間が長くなる代わりに品質が向上します。
enable_safety_checker任意
型boolean
デフォルトfalse
安全性チェックの切り替え。オフにするにはアカウント認証が必要です。認証がない場合、設定に関係なくすべてのリクエストがチェックされます。trueでチェッカーを有効にします。
enable_prompt_expansion任意
型boolean
デフォルトfalse
プロンプト拡張を有効にするかどうかを制御します。
turbo_mode任意
型boolean
デフォルトtrue
動画生成高速化の切り替え。有効にすると、目立った画質低下なしで生成時間を短縮します。
loras任意
型object[]
デフォルト[]
推論時に適用するLoRAの重み。
loras[].path必須
型string
URLまたはパスで指定するLoRAウェイトの場所。
loras[].weight_name任意
型string | null
LoRAの重み名。Hugging Faceリポジトリに1個を超えるsafetensorsファイルがある場合のみ必須です。`path` がそのようなリポジトリを示す場合にのみ使用されます。
loras[].scale任意
型number
デフォルト1
0 – 4
ベースモデルに統合する前にLoRAウェイトへ適用する倍率。
reverse_video任意
型boolean
デフォルトfalse
動画反転の切り替え。trueにすると再生を反転します。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-t2v-lora",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 750,
    "usd": "0.75",
    "charged": 750,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成された動画ファイル。
seed
integer生成時に適用したシード値。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/wan-t2v-lora.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt